"""
Console script entry points for CLI tools.
"""
from datetime import datetime

from edosl0util import split


def cmd_split():
    from argparse import ArgumentParser
    parser = ArgumentParser(description=split.__doc__)
    parser.add_argument('--minutes', type=int, default=6)
    parser.add_argument('--output-format', default='%y%j%H%M%S001.PDS')
    parser.add_argument('filepath')
    args = parser.parse_args()

    for time, offset, count, blob in split.split(open(args.filepath), args.minutes):
        stamp = datetime.utcfromtimestamp(time)
        filepath = stamp.strftime(args.output_format)
        print("writing %d packets from offset %d to %s" % (count, offset, filepath))
        open(filepath, 'wb', buffering=0).write(blob)
